# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-dmidecode
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_ver: %global python_ver %(%{__python} -c "import sys ; print sys.version[:3]")}

Summary: Python module to access DMI data
Name: python-module-dmidecode
Version: 3.10.13
Release: alt1_7
License: GPLv2
Group: System/Libraries
URL: http://projects.autonomy.net.au/python-dmidecode/
Source0: %{oldname}-%{version}.tar.xz
Source1: generate-tarball.sh
BuildRequires: python-module-libxml2
BuildRequires: libxml2-devel
BuildRequires: python-devel
Source44: import.info

%description
python-dmidecode is a python extension module that uses the
code-base of the 'dmidecode' utility, and presents the data
as python data structures or as XML data using libxml2.

%prep
%setup -n %{oldname}-%{version} -q

%build
make build
cd unit-tests
make
cd ..

%install
python src/setup.py install --root $RPM_BUILD_ROOT --prefix=%{_prefix}

%files
%doc README doc/README.upstream doc/LICENSE doc/AUTHORS doc/AUTHORS.upstream
%{python_sitelibdir}/dmidecodemod.so
%{python_sitelibdir}/dmidecode.py
%{python_sitelibdir}/dmidecode.py[co]
%if "%{python_ver}" >= "2.5"
%{python_sitelibdir}/*.egg-info
%endif
%{_datadir}/python-dmidecode/

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.10.13-alt1_7
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 3.10.13-alt1_6
- initial fc import

